package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.dto.serve.led.QueryLedReq;
import org.wcs.model.po.app.AppBaseLed;

import java.util.List;

/**
 * LED 屏基础资料 数据库表操作类
 */
public interface AppBaseLedService extends IService<AppBaseLed> {

    List<AppBaseLed> queryLed(QueryLedReq queryLedReq); // 查询LED屏基础资料
    int insert(AppBaseLed appBaseLed); // 新增LED屏基础资料
    int update(AppBaseLed appBaseLed); // 修改LED屏基础资料
    int delete(String id); // 删除LED屏基础资料，根据ID

}
